# trace

{% hint style="warning" %}
Note: This endpoint is available exclusively to whitelisted customers only.
{% endhint %}

### Request:

#### Method:

`GET ./api/v2/system/trace`

#### Parameters:

<table><thead><tr><th width="179.32569366693275">Parameter</th><th width="139.23125339579434">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>signature</code></td><td>string</td><td>Signature of a submitted transaction.</td></tr></tbody></table>

#### Request example:

{% tabs %}
{% tab title="HTTP" %}

```bash
curl --header "Authorization: $AUTH_HEADER" \
'http://ny.solana.dex.blxrbdn.com/api/v2/system/trace?signature=...'
```

{% endtab %}
{% endtabs %}

### Response:

#### Fields:

<table><thead><tr><th width="206.12060301507535">Fields</th><th width="164.90911803582708">Type</th><th>Description</th></tr></thead><tbody><tr><td>signature</td><td>string</td><td>The target transaction signature.</td></tr><tr><td>firstReceivedTime</td><td>google.protobuf.Timestamp</td><td>The timestamp when the Trader API backend first received the transaction.</td></tr><tr><td>firstReleasedTime</td><td>google.protobuf.Timestamp</td><td>The timestamp when the Trader API backend first released the transaction.</td></tr><tr><td>firstReceivedSlot</td><td>int64</td><td>The slot number when the Trader API backend first received the transaction.</td></tr><tr><td>firstReleasedSlot</td><td>int64</td><td>The slot number when the Trader API backend first released the transaction.</td></tr><tr><td>firstReceivedRegion</td><td>string</td><td>The first region which received the transaction.</td></tr><tr><td>firstReleasedRegion</td><td>string</td><td>The first region which released the transaction.</td></tr><tr><td>delayed</td><td>boolean</td><td>Whether the transaction propagation was delayed due to malicious leader detection. Transaction delay will only be affected when <code>submitProtection</code> is set to <code>SP_MEDIUM</code> or <code>SP_HIGH</code>.</td></tr><tr><td>delayedSlots</td><td>int64</td><td>Number of slots delayed.</td></tr></tbody></table>

Response Example:

{% tabs %}
{% tab title="JSON" %}

```json
{
   "signature": "K2UvcQkB5o2...Xvhi8kakUKiroP",
   "firstReceivedTime": "2025-08-28T07:41:31.805125000",
   "firstReleasedTime": "2025-08-28T07:41:31.811762000",
   "firstReceivedSlot": "363028450",
   "firstReleasedSlot": "363028450",
   "firstReceivedRegion": "NY",
   "firstReleasedRegion": "NY",
   "delayed": false,
   "delayedSlots": "0"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/core-endpoints/trace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
